org.apache.synapse.securevault.definition

## Class KeyStoreInformation

- java.lang.Object
- - org.apache.synapse.securevault.definition.KeyStoreInformation

- Direct Known Subclasses:
    IdentityKeyStoreInformation, TrustKeyStoreInformation

      public abstract class KeyStoreInformation
      extends java.lang.Object

  Encapsulates the keyStore related information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ENABLE_HOST_NAME_VERIFIER`
    `static java.lang.String` | `KEY_STORE_CERTIFICATE_FILE_PATH`
    `protected org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyStoreInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(java.lang.String name, java.lang.String value)`
    `java.lang.String` | `getAlias()`
    `protected java.security.KeyStore` | `getKeyStore()` Constructs the KeyStore according to the store type
    `SecretInformation` | `getKeyStorePasswordProvider()`
    `java.lang.String` | `getLocation()`
    `java.lang.String` | `getParameter(java.lang.String name)`
    `java.lang.String` | `getProvider()`
    `protected void` | `handleException(java.lang.String msg)`
    `protected void` | `handleException(java.lang.String msg, java.lang.Exception e)`
    `void` | `setAlias(java.lang.String alias)`
    `void` | `setKeyStorePasswordProvider(SecretInformation keyStorePasswordProvider)`
    `void` | `setLocation(java.lang.String location)`
    `void` | `setProvider(java.lang.String provider)`
    `void` | `setStoreType(java.lang.String storeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final org.apache.commons.logging.Log log

    - #### KEY_STORE_CERTIFICATE_FILE_PATH

          public static final java.lang.String KEY_STORE_CERTIFICATE_FILE_PATH

      See Also:
        Constant Field Values

    - #### ENABLE_HOST_NAME_VERIFIER

          public static final java.lang.String ENABLE_HOST_NAME_VERIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyStoreInformation

          protected KeyStoreInformation()

  - ### Method Detail

    - #### setStoreType

          public void setStoreType(java.lang.String storeType)

    - #### getAlias

          public java.lang.String getAlias()

    - #### setAlias

          public void setAlias(java.lang.String alias)

    - #### getLocation

          public java.lang.String getLocation()

    - #### setLocation

          public void setLocation(java.lang.String location)

    - #### getProvider

          public java.lang.String getProvider()

    - #### setProvider

          public void setProvider(java.lang.String provider)

    - #### setKeyStorePasswordProvider

          public void setKeyStorePasswordProvider(SecretInformation keyStorePasswordProvider)

    - #### addParameter

          public void addParameter(java.lang.String name,
                                   java.lang.String value)

    - #### getParameter

          public java.lang.String getParameter(java.lang.String name)

    - #### getKeyStore

          protected java.security.KeyStore getKeyStore()

      Constructs the KeyStore according to the store type
      Returns:
        KeyStore Instance

    - #### handleException

          protected void handleException(java.lang.String msg)

    - #### handleException

          protected void handleException(java.lang.String msg,
                                         java.lang.Exception e)

    - #### getKeyStorePasswordProvider

          public SecretInformation getKeyStorePasswordProvider()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.